[Swift-commit] r4877 - trunk/tests/providers/local-pbs/fusion

wozniak at ci.uchicago.edu wozniak at ci.uchicago.edu
Fri Jul 29 16:45:14 CDT 2011


Author: wozniak
Date: 2011-07-29 16:45:14 -0500 (Fri, 29 Jul 2011)
New Revision: 4877

Modified:
   trunk/tests/providers/local-pbs/fusion/001-catsn.check.sh
   trunk/tests/providers/local-pbs/fusion/001-catsn.setup.sh
Log:
Fix local-pbs/fusion test


Modified: trunk/tests/providers/local-pbs/fusion/001-catsn.check.sh
===================================================================
--- trunk/tests/providers/local-pbs/fusion/001-catsn.check.sh	2011-07-29 21:17:40 UTC (rev 4876)
+++ trunk/tests/providers/local-pbs/fusion/001-catsn.check.sh	2011-07-29 21:45:14 UTC (rev 4877)
@@ -1,9 +1,9 @@
 #!/bin/bash
 
-# Pseudo-code for now
+set -x
 
-# for f in *.out.expected 
-# do
-#   assert *.out exists 
-#   assert *.out.expected == *.out
-# done
+LINES=$( ls catsn*.out | wc -l )
+[[ ${?} == 0 ]] || exit 1
+[[ ${LINES} == 10 ]] || exit 1
+
+exit 0

Modified: trunk/tests/providers/local-pbs/fusion/001-catsn.setup.sh
===================================================================
--- trunk/tests/providers/local-pbs/fusion/001-catsn.setup.sh	2011-07-29 21:17:40 UTC (rev 4876)
+++ trunk/tests/providers/local-pbs/fusion/001-catsn.setup.sh	2011-07-29 21:45:14 UTC (rev 4877)
@@ -1,4 +1,4 @@
 #!/bin/bash
 
 cp -v $GROUP/data.txt . || exit 1
-cp -v $GROUP/*expected . || exit 1
+




More information about the Swift-commit mailing list